Bug 967491 - Mongodb cartridge does not add it's env vars to an app
Mongodb cartridge does not add it's env vars to an app
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 05:43 EDT by Oleg Fayans
Modified: 2016-11-30 19:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 05:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Fayans 2013-05-27 05:43:09 EDT
Description of problem:

When I create a perl-5.10 app and then add a mongodb cartridge to it, it should have among the other env vars the following ones:
OPENSHIFT_MONGODB_DB_HOST,
OPENSHIFT_MONGODB_DB_PORT,
OPENSHIFT_MONGODB_DB_USERNAME,
OPENSHIFT_MONGODB_DB_PASSWORD,
OPENSHIFT_MONGODB_DB_URL,
OPENSHIFT_MONGODB_DB_LOG_DIR 

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. rhc app create myapp perl-5.10
2. rhc cartridge add mongodb-2.2 -a myapp
3. ssh $myapp_ssh_url env | grep "MONGODB"

Actual results:

no strings

Expected results:

6 strings, listed in the description

Additional info:
Comment 1 Oleg Fayans 2013-05-27 07:43:57 EDT
AMI version: ami-95513afc

rhc-1.9.4-1.git.0.36a4335 
broker-1.9.4-1.git.0.63c1cbd
common-1.5.2-1.git.0.8931360
devenv-1.9.1-1.git.0.6eb431b
node-1.9.6-1.git.18.ac7c92c.el6.x86_64
selinux-1.3.1-1.git.0.ea7c9bc
server-common-1.2.1-1.git.0.7ebef43
site-1.9.8-1.git.9.fe0b
Comment 2 Jianwei Hou 2013-05-27 22:07:45 EDT
Tried this on devenv_3277, I wasn't able to reproduce this

Create a perl-5.10 app with mongodb-2.2

ssh 51a40eec368ae80891000001@perl1-jhou.dev.rhcloud.com env | grep "MONGODB"
OPENSHIFT_MONGODB_DB_USERNAME=admin
OPENSHIFT_MONGODB_DB_LOG_DIR=/var/lib/openshift/51a40eec368ae80891000001/mongodb//log/
OPENSHIFT_MONGODB_DB_PASSWORD=q5Sp2aRid5Nh
OPENSHIFT_MONGODB_IDENT=redhat:mongodb:2.2:0.2.0
OPENSHIFT_MONGODB_DB_HOST=127.0.250.130
OPENSHIFT_MONGODB_DB_URL=mongodb://admin:q5Sp2aRid5Nh@127.0.250.130:27017/
OPENSHIFT_MONGODB_DB_PORT=27017
OPENSHIFT_MONGODB_DIR=/var/lib/openshift/51a40eec368ae80891000001/mongodb/
Comment 3 Oleg Fayans 2013-05-28 05:52:53 EDT
Does not reproduce on the latest origin

Note You need to log in before you can comment on or make changes to this bug.